Calculate LCM

- « gmp_kronecker

- gmp_legendre »

- PHP Manual
- GMP Functions
- Calculate LCM

# gmp_lcm

(PHP 7 >= 7.3.0, PHP 8)

gmp_lcm — Calculate LCM

### Description

gmp_lcm(GMP|int|string `$num1`, GMP|int|string `$num2`): GMP

This function computes the least common multiple (lcm) of `num1` and `num2`.

### Parameters

`num1`

  A GMP object, an int or a numeric string.

`num2`

  A GMP object, an int or a numeric string.

### Return Values

A GMP object.

### See Also

- gmp_gcd() - Calculate GCD